

#include "stdafx.h"
#include "ModeLexer.h"

cModeLexer::cModeLexer( const char* pbuffer, unsigned int size )
: cLexer( pbuffer, size )
{
	BindKeyword( "Header",		eTOKEN_HEADER );
	BindKeyword( "Mode",		eTOKEN_MODE );

	BindKeyword( "effect",		eTOKEN_EFFECT );
	BindKeyword( "sound",		eTOKEN_SOUND );

	BindKeyword( "applybuff",	eTOKEN_APPLYBUFF );
	BindKeyword( "genmonster",	eTOKEN_GENMONSTER );
	BindKeyword( "gentotem",	eTOKEN_GENTOTEM );
	BindKeyword( "speech",		eTOKEN_SPEECH );
	BindKeyword( "modestate",	eTOKEN_MODESTATE );
	BindKeyword( "aggro",		eTOKEN_AGGRO );
	BindKeyword( "applyres",	eTOKEN_APPLYRESOURCE );
	BindKeyword( "modeskill",	eTOKEN_MODEINITSKILL );

	BindKeyword( "modechange",	eTOKEN_MODECHANGE );
	BindKeyword( "useskill",	eTOKEN_USESKILL );
}